From 23af3c8ee8e020735fa95039e32d34bc4a149c15 Mon Sep 17 00:00:00 2001
From: Francis Rowe <info@gluglug.org.uk>
Date: Sun, 23 Nov 2014 04:06:48 -0500
Subject: x60flashfrom5 (new), for X60 users upgrading from 5th/early release

---
(limited to 'x60flashfrom5')

diff --git a/x60flashfrom5 b/x60flashfrom5
new file mode 100755
index 0000000..1f8e0ec
--- /dev/null
+++ b/x60flashfrom5
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#  flash script: uses flashrom to flash a new libreboot ROM image onto your machine
+#
+#	Copyright (C) 2014 Francis Rowe <info@gluglug.org.uk>
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+## Don't add here. errors are expected.
+# set -u -e -v
+set -v
+
+# USE ROOT OR SUDO WHEN EXECUTING THIS
+# uses flashrom to flash the rom
+
+if (( $# != 1 )); then
+	echo "Usage: ./lenovobios_firstflash yourrom.rom"
+	echo "usage: ./lenovobios_firstflash path/to/yourrom.rom"
+	echo "You need to specify exactly 1 file"
+	exit 1
+fi
+if [ ! -f $1 ]; then
+	echo "File not found!"
+	exit 1
+fi
+
+# boardmismatch=force is for people upgrading from libreboot 5th release, where the new ROM's are "ThinkPad X60 / X60s / X60t"
+# and the old ones are "ThinkPad X60 / X60s" and flashrom complains otherwise
+
+./flashrom/flashrom -p internal:boardmismatch=force -w $1
+
--
cgit v0.9.1